feed-1.3.2.1: Interfacing with RSS (v 0.9x, 2.x, 1.0) + Atom feeds.

Copyright | (c) Galois Inc. 2008 (c) Sigbjorn Finne 2009-
License | BSD3
Maintainer | Sigbjorn Finne <sof@forkIO.com>
Stability | provisional
Portability | portable
Safe Haskell | Safe-Inferred
Language | Haskell2010

Text.Feed.Types

Description

Synopsis

- data Feed
  - = AtomFeed Feed
  - | RSSFeed RSS
  - | RSS1Feed Feed
  - | XMLFeed Element
- data Item
  - = AtomItem Entry
  - | RSSItem RSSItem
  - | RSS1Item Item
  - | XMLItem Element
- data FeedKind
  - = AtomKind
  - | RSSKind (Maybe Text)
  - | RDFKind (Maybe Text)

# Documentation

data Feed #

The abstract type of feed documents. The internal representation is as whatever feed variant type the document was either imported or has now been translated to.

Constructors

AtomFeed Feed |
RSSFeed RSS |
RSS1Feed Feed |
XMLFeed Element |

#### Instances

Instances details

Show Feed # |
Instance details Defined in Text.Feed.Types Methods showsPrec :: Int -> Feed -> ShowS # show :: Feed -> String # showList :: [Feed] -> ShowS #

data Item #

The abstract type of feed items. Like the `Feed` type, the representation of a value is as one of the different RSS item/entry variants.

Constructors

AtomItem Entry |
RSSItem RSSItem |
RSS1Item Item |
XMLItem Element |

#### Instances

Instances details

Show Item # |
Instance details Defined in Text.Feed.Types Methods showsPrec :: Int -> Item -> ShowS # show :: Item -> String # showList :: [Item] -> ShowS #

data FeedKind #

The kinds of feed documents supported.

Constructors

AtomKind |
RSSKind (Maybe Text) |
RDFKind (Maybe Text) |

#### Instances

Instances details

Show FeedKind # |
Instance details Defined in Text.Feed.Types Methods showsPrec :: Int -> FeedKind -> ShowS # show :: FeedKind -> String # showList :: [FeedKind] -> ShowS #
Eq FeedKind # |
Instance details Defined in Text.Feed.Types Methods (==) :: FeedKind -> FeedKind -> Bool # (/=) :: FeedKind -> FeedKind -> Bool #